Subject: Re: bug#43501: gst-plugins-bad cannot be built on linux-armhf

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 24 Sep 2020 00:41:33 -0400

retitle 43501 new-title gst-plugins-bad fails to build on armhf-linux
quit

Maxim Cournoyer <[email-masked]> writes:

> Hello Mark!
>
> Mark H Weaver <[email-masked]> writes:
>
>> Earlier, I wrote:
>>> Ever since 'spice-gtk' was added, it has included *every* gstreamer
>>> plugin package in its 'propagated-inputs'.
>>
>> On my private branch, I removed 'gst-libav', 'gst-plugins-bad' and
>> 'gst-plugins-ugly' from the propagated-inputs of 'spice-gtk'.
>>
>> diff --git a/gnu/packages/spice.scm b/gnu/packages/spice.scm
>> index 4aff8dbf56..4b4c673a9d 100644
>> --- a/gnu/packages/spice.scm
>> +++ b/gnu/packages/spice.scm
>> @@ -144,11 +144,8 @@ which allows users to view a desktop computing environment.")
>>      (build-system gnu-build-system)
>>      (propagated-inputs
>>        `(("gstreamer" ,gstreamer)
>> -        ("gst-libav" ,gst-libav)
>
> I feel less strongly about this one, perhaps because its name doesn't
> contain "bad" or "ugly" ;-).  Why should we remove it?
>
>>          ("gst-plugins-base" ,gst-plugins-base)
>>          ("gst-plugins-good" ,gst-plugins-good)
>> -        ("gst-plugins-bad" ,gst-plugins-bad)
>> -        ("gst-plugins-ugly" ,gst-plugins-ugly)
>>          ("spice-protocol" ,spice-protocol)
>

> I agree philosophically, but I feel we need more testing of the spice
> part, to know what we're loosing, if we're loosing anything.  I'll try
> rebuilding qemu with this patch and test gnome-boxes, which must make
> use of spice-gtk.

I've now done so, and could run a foreign distribution that I had
already installed without any perceived difference.

I've pushed this as 035df987f1.  Editing the title to reflect the fact
that QEMU is no longer affected by this problem.

Thanks!

Maxim